%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname linode
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Ruby wrapper for the Linode API
Name: rubygem-%{gemname}
Version: 0.6.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/rick/linode
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: rubygem(httparty) 
Requires: ruby(abi) = 1.8
BuildRequires: rubygems
BuildRequires(check): rubygem(mocha)
BuildRequires(check): rubygem(rake)
BuildRequires(check): rubygem(rspec)
BuildRequires(check): rubygem(httparty)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
This is a wrapper around Linode's automation facilities.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

rm -f %{buildroot}%{geminstdir}/.gitignore
rm -f %{buildroot}%{geminstdir}/linode.gemspec

%clean
rm -rf %{buildroot}

%check
cd %{buildroot}%{geminstdir}
rake spec

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%doc %{geminstdir}/README
%doc %{geminstdir}/CHANGELOG
%doc %{geminstdir}/MIT-LICENSE
%doc %{geminstdir}/VERSION
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/Rakefile
%{geminstdir}/spec
%{gemdir}/doc/%{gemname}-%{version}



%changelog
* Sat Sep 25 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.6.2-1
- Initial package
